# This file created by conda-build 3.21.5
# ------------------------------------------------

package:
  name: libthrift
  version: 0.15.0
source:
  - patches: null
    sha256: d5883566d161f8f6ddd4e21f3a9e3e6b8272799d054820f1c25b11e86718f86b
    url: http://archive.apache.org/dist/thrift/0.15.0/thrift-0.15.0.tar.gz
build:
  ignore_run_exports:
    - openssl
    - zlib
  number: 0
  run_exports:
    - libthrift >=0.15.0,<0.16.0a0
  string: hc3a1926_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.36.1 h0d3074b_3
    - binutils_linux-aarch64 2.36.1 h1234567_41
    - bison 3.7.4 h7c1a80f_1
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2021.7.5 hd43f75c_1
    - certifi 2021.5.30 py39hd43f75c_0
    - cmake 3.19.6 h1ac774c_0
    - expat 2.4.1 h22f4aa5_2
    - flex 2.6.4 h7c1a80f_1
    - gcc_impl_linux-aarch64 10.2.0 h1234567_51
    - gcc_linux-aarch64 10.2.0 h1234567_41
    - gxx_impl_linux-aarch64 10.2.0 h1234567_51
    - gxx_linux-aarch64 10.2.0 h1234567_41
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - krb5 1.19.1 h4b604a8_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libcurl 7.71.1 h48584d0_1
    - libedit 3.1.20210714 h2f4d8fa_0
    - libffi 3.3 h7c1a80f_2
    - libgcc-devel_linux-aarch64 10.2.0 h1234567_51
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libssh2 1.9.0 hcd09bdd_1
    - libstdcxx-devel_linux-aarch64 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - libtool 2.4.6 h7c1a80f_1007
    - libuv 1.40.0 hfd63f10_0
    - lz4-c 1.9.3 h7c1a80f_0
    - m4 1.4.18 hfd63f10_1
    - make 4.2.1 hfd63f10_1
    - ncurses 6.2 hfd63f10_0
    - ninja 1.10.2 py39h949e957_0
    - openssl 1.1.1l h2f4d8fa_0
    - pip 21.2.4 py39hd43f75c_0
    - pkg-config 0.29.2 hfd63f10_0
    - python 3.9.6 hc137634_1
    - readline 8.1 hfd63f10_0
    - rhash 1.4.1 hcd09bdd_1
    - setuptools 52.0.0 py39hd43f75c_0
    - sqlite 3.36.0 h6632b73_0
    - sysroot_linux-aarch64 2.26 h4744778_14
    - tk 8.6.10 h8ea0f78_0
    - tzdata 2021a h5d7bf9c_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
    - zstd 1.4.9 h20642d3_2
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - boost-cpp 1.73.0 h2f4d8fa_11
    - bzip2 1.0.8 hfd63f10_2
    - ca-certificates 2021.7.5 hd43f75c_1
    - icu 68.1 h7c1a80f_0
    - libboost 1.73.0 ha4dbb3a_11
    - libevent 2.1.10 hcd09bdd_2
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - lz4-c 1.9.3 h7c1a80f_0
    - openssl 1.1.1l h2f4d8fa_0
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
    - zstd 1.4.9 h20642d3_2
  run:
    - libevent >=2.1.10,<2.1.11.0a0
    - libgcc-ng >=10.2.0
    - libstdcxx-ng >=10.2.0
    - openssl
    - zlib
test:
  commands:
    - test ! -f $PREFIX/bin/thrift
    - test -f $PREFIX/lib/libthrift${SHLIB_EXT}
    - test -f $PREFIX/include/thrift/Thrift.h
about:
  home: http://thrift.apache.org
  license: Apache-2.0
  license_file: LICENSE
  summary: Compiler and C++ libraries and headers for the Apache Thrift RPC system
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - msarahan
    - wesm
    - xhochy
